aboutsummaryrefslogtreecommitdiffstats
path: root/coin/provisioning
diff options
context:
space:
mode:
authorTony Sarajärvi <tony.sarajarvi@qt.io>2019-03-26 09:46:17 +0200
committerTony Sarajärvi <tony.sarajarvi@qt.io>2019-04-01 15:16:52 +0000
commitf678ae3769e69ffc3afbd2f45ef60c92e4db5f08 (patch)
treed8254cf743c9251c4f22e971e815c2fb5a3af001 /coin/provisioning
parentb9e40e2fd7dc11ee3890994fc492a09f0bc705d2 (diff)
Fix soft links and file modes of a few macOS provisioning scripts
Change-Id: I1d4d09424aa2ce0b75d840a2c26cbfed99740d0c Reviewed-by: Qt CI Bot <qt_ci_bot@qt-project.org> Reviewed-by: Heikki Halmet <heikki.halmet@qt.io>
Diffstat (limited to 'coin/provisioning')
-rwxr-xr-x[l---------]coin/provisioning/qtci-macos-10.12-x86_64/01-sha1sum-compatibility.sh42
-rwxr-xr-x[-rw-r--r--]coin/provisioning/qtci-macos-10.12-x86_64/02-disable-ntp.sh0
-rwxr-xr-xcoin/provisioning/qtci-macos-10.13-x86_64/01-sha1sum-compatibility.sh19
-rwxr-xr-x[-rw-r--r--]coin/provisioning/qtci-macos-10.13-x86_64/35-install-breakpad.sh0
4 files changed, 46 insertions, 15 deletions
diff --git a/coin/provisioning/qtci-macos-10.12-x86_64/01-sha1sum-compatibility.sh b/coin/provisioning/qtci-macos-10.12-x86_64/01-sha1sum-compatibility.sh
index 58a40af4..52650fea 120000..100755
--- a/coin/provisioning/qtci-macos-10.12-x86_64/01-sha1sum-compatibility.sh
+++ b/coin/provisioning/qtci-macos-10.12-x86_64/01-sha1sum-compatibility.sh
@@ -1 +1,41 @@
-../common/macos/sha1sum-compatibility.sh \ No newline at end of file
+#!/usr/bin/env bash
+
+#############################################################################
+##
+## Copyright (C) 2018 The Qt Company Ltd.
+## Contact: http://www.qt.io/licensing/
+##
+## This file is part of the provisioning scripts of the Qt Toolkit.
+##
+## $QT_BEGIN_LICENSE:LGPL21$
+## Commercial License Usage
+## Licensees holding valid commercial Qt licenses may use this file in
+## accordance with the commercial license agreement provided with the
+## Software or, alternatively, in accordance with the terms contained in
+## a written agreement between you and The Qt Company. For licensing terms
+## and conditions see http://www.qt.io/terms-conditions. For further
+## information use the contact form at http://www.qt.io/contact-us.
+##
+## GNU Lesser General Public License Usage
+## Alternatively, this file may be used under the terms of the GNU Lesser
+## General Public License version 2.1 or version 3 as published by the Free
+## Software Foundation and appearing in the file LICENSE.LGPLv21 and
+## LICENSE.LGPLv3 included in the packaging of this file. Please review the
+## following information to ensure the GNU Lesser General Public License
+## requirements will be met: https://www.gnu.org/licenses/lgpl.html and
+## http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.
+##
+## As a special exception, The Qt Company gives you certain additional
+## rights. These rights are described in The Qt Company LGPL Exception
+## version 1.1, included in the file LGPL_EXCEPTION.txt in this package.
+##
+## $QT_END_LICENSE$
+##
+#############################################################################
+
+#!/usr/bin/env bash
+
+set -ex
+
+# shellcheck source=../common/macos/sha1sum-compatibility.sh
+source "${BASH_SOURCE%/*}/../common/macos/sha1sum-compatibility.sh"
diff --git a/coin/provisioning/qtci-macos-10.12-x86_64/02-disable-ntp.sh b/coin/provisioning/qtci-macos-10.12-x86_64/02-disable-ntp.sh
index 32528873..32528873 100644..100755
--- a/coin/provisioning/qtci-macos-10.12-x86_64/02-disable-ntp.sh
+++ b/coin/provisioning/qtci-macos-10.12-x86_64/02-disable-ntp.sh
diff --git a/coin/provisioning/qtci-macos-10.13-x86_64/01-sha1sum-compatibility.sh b/coin/provisioning/qtci-macos-10.13-x86_64/01-sha1sum-compatibility.sh
index c3936499..52650fea 100755
--- a/coin/provisioning/qtci-macos-10.13-x86_64/01-sha1sum-compatibility.sh
+++ b/coin/provisioning/qtci-macos-10.13-x86_64/01-sha1sum-compatibility.sh
@@ -33,18 +33,9 @@
##
#############################################################################
-# On macOS the sha1 tool is named 'shasum' while on all other unix systems it is called 'sha1sum'.
-# In order to make all unix provioning scripts run on macOS without special case handling
-# a symbolic link is created.
-# The shasum tool is a perl script which does some globbing to determine the perl version. The
-# symbolic link has to point directly to the binary including the perl version.
-# Additionally the CI seems to have multiple parallel perl versions installed which causes
-# multiple shasum tools to be present (shasum5.16, shasum5.18).
-#
-# Currently this is
-# /usr/local/bin/sha1sum -> /usr/bin/shasum5.18
+#!/usr/bin/env bash
+
+set -ex
-[ -d /usr/local/bin ] || sudo mkdir -p /usr/local/bin
-# shellcheck disable=SC2012
-SHASUM_TOOLNAME=$(ls -r /usr/bin/shasum?.* | head -n1)
-sudo ln -s "${SHASUM_TOOLNAME}" /usr/local/bin/sha1sum
+# shellcheck source=../common/macos/sha1sum-compatibility.sh
+source "${BASH_SOURCE%/*}/../common/macos/sha1sum-compatibility.sh"
diff --git a/coin/provisioning/qtci-macos-10.13-x86_64/35-install-breakpad.sh b/coin/provisioning/qtci-macos-10.13-x86_64/35-install-breakpad.sh
index 74dd1579..74dd1579 100644..100755
--- a/coin/provisioning/qtci-macos-10.13-x86_64/35-install-breakpad.sh
+++ b/coin/provisioning/qtci-macos-10.13-x86_64/35-install-breakpad.sh